[Yum] Python error on upgrade from FC1 to FC2 devel

Matthias Saou thias at spam.spam.spam.spam.spam.spam.spam.egg.and.spam.freshrpms.net
Thu Jan 22 09:23:19 UTC 2004


Hi,

I got this error at the very end of a "yum upgrade" for a Fedora Core 1
system being upgraded to Fedora Core 2 Development. I guess the cause is
the upgrade from python 2.2 to 2.3 in the process, but wouldn't there be a
way to avoid this? Maybe importing the "select" module much earlier when a
new kernel is to be installed? Just a wild guess...

[root at shrek root]# yum -y upgrade
[...]
Completing update for ash  - 684/687
Completing update for gphoto2  - 685/687
Completing update for php-imap  - 686/687
Completing update for libogg-devel  - 687/687
Kernel Updated/Installed, checking for bootloader
Grub found - making this kernel the default
Traceback (most recent call last):
  File "/usr/bin/yum", line 30, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum/yummain.py", line 356, in main
    pkgaction.kernelupdate(tsInfo)
  File "/usr/share/yum/pkgaction.py", line 540, in kernelupdate
    up2datetheft.install_grub(kernel_list)
  File "/usr/share/yum/up2datetheft.py", line 13, in install_grub
    import grubcfg
  File "/usr/share/yum/grubcfg.py", line 12, in ?
    import iutil
  File "/usr/share/yum/iutil.py", line 2, in ?
    import types, os, sys, select, string, stat, signal
ImportError: No module named select
[root at shrek root]#

This is with yum 2.0.4, not the latest daily, in case this info is useful.

Matthias

-- 
Clean custom Red Hat Linux rpm packages : http://freshrpms.net/
Fedora Core release 1 (Yarrow) - Linux kernel 2.4.22-1.2163.nptl
Load : 0.51 0.53 0.28



More information about the Yum mailing list